import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _CSPerson extends _NSObject {
    static alloc(): _CSPerson;
    static new(): _CSPerson;
    init(): _CSPerson;
    initWithDisplayName$handles$handleIdentifier$(displayName: _NSString | null, handles: _NSArray, handleIdentifier: _NSString): _CSPerson;
    /** An optional display name for displaying this recipient */
    displayName(): _NSString | null;
    /** An array of contact handles, e.g. phone numbers */
    handles(): _NSArray;
    /**
     * A CNContactPropertyKey to identify the type of of handle, e.g. CNContactPhoneNumbersKey
     */
    handleIdentifier(): _NSString;
    /** If the property has already been resolved, the identifier for the Contact */
    contactIdentifier(): _NSString | null;
    setContactIdentifier$(value: _NSString | null): void;
}
export interface _CSPerson extends _NSSecureCoding, _NSCopying {
}
